Index: databases/libgda/Makefile
===================================================================
RCS file: /import/FreeBSD-CVS/ports/databases/libgda/Makefile,v
retrieving revision 1.53
diff -u -p -u -r1.53 Makefile
--- databases/libgda/Makefile	23 Sep 2011 22:21:34 -0000	1.53
+++ databases/libgda/Makefile	15 Jan 2012 21:29:16 -0000
@@ -34,4 +34,79 @@ CPPFLAGS+=	-I${LOCALBASE}/include
 PLIST_SUB=	VERSION=${PORTVERSION}
 MAKE_JOBS_UNSAFE=yes
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if exists(${LOCALBASE}/lib/mysql/libmysqlclient.so.10)
+WITH_MYSQL3=	yes
+.endif
+
+.if exists(${LOCALBASE}/lib/mysql/libmysqlclient.so.12)
+WITH_MYSQL40=	yes
+.endif
+
+.if exists(${LOCALBASE}/lib/mysql/libmysqlclient.so.14)
+WITH_MYSQL41=	yes
+.endif
+
+.if exists(${LOCALBASE}/lib/libpq.so.3)
+WITH_POSTGRESQL7=	yes
+.endif
+
+.if exists(${LOCALBASE}/lib/libpgeasy.so.2)
+WITH_POSTGRESQL72=	yes
+.endif
+
+.if exists(${LOCALBASE}/firebird/lib/libgds.so.1)
+WITH_FIREBIRD=	yes
+.endif
+
+.if !defined(WITHOUT_MYSQL3) && defined(WITH_MYSQL3)
+LIB_DEPENDS+=	mysqlclient.10:${PORTSDIR}/databases/mysql323-client
+CONFIGURE_ARGS+=--with-mysql=${LOCALBASE}
+PLIST_SUB+=	MYSQL:=""
+.endif
+
+.if !defined(WITHOUT_MYSQL40) && defined(WITH_MYSQL40)
+LIB_DEPENDS+=	mysqlclient.12:${PORTSDIR}/databases/mysql40-client
+CONFIGURE_ARGS+=--with-mysql=${LOCALBASE}
+PLIST_SUB+=	MYSQL:=""
+.endif
+
+.if !defined(WITHOUT_MYSQL41) && defined(WITH_MYSQL41)
+LIB_DEPENDS+=	mysqlclient.14:${PORTSDIR}/databases/mysql41-client
+CONFIGURE_ARGS+=--with-mysql=${LOCALBASE}
+PLIST_SUB+=	MYSQL:=""
+.endif
+
+.if !defined(WITH_MYSQL3) && !defined(WITH_MYSQL40) && !defined(WITH_MYSQL41)
+PLIST_SUB+=	MYSQL="@comment "
+CONFIGURE_ARGS+=--without-mysql
+.endif
+
+.if !defined(WITHOUT_POSTGRESQL7) && defined(WITH_POSTGRESQL7)
+LIB_DEPENDS+=	pq.3:${PORTSDIR}/databases/postgresql7
+CONFIGURE_ARGS+=--with-postgres=${LOCALBASE}
+PLIST_SUB+=	PG:=""
+.endif
+
+.if !defined(WITHOUT_POSTGRESQL72) && defined(WITH_POSTGRESQL72)
+LIB_DEPENDS+=	pqeasy.3:${PORTSDIR}/databases/postgresql7
+CONFIGURE_ARGS+=--with-postgres=${LOCALBASE}
+PLIST_SUB+=	PG:=""
+.endif
+
+.if !defined(WITH_POSTGRES7) && !defined(WITH_POSTGRES72)
+PLIST_SUB+=	PG="@comment "
+CONFIGURE_ARGS+=--without-postgres
+.endif
+
+.if !defined(WITHOUT_FIREBIRD) && defined(WITH_FIREBIRD)
+LIB_DEPENDS+=	gds.1:${PORTSDIR}/databases/firebird
+CONFIGURE_ARGS+=--with-interbase=${LOCALBASE}/firebird
+PLIST_SUB+=	FIREBIRD:=""
+.else
+PLIST_SUB+=	FIREBIRD:="@comment "
+CONFIGURE_ARGS+=--without-interbase
+.endif
+
+.include <bsd.port.post.mk>
